Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.measurement
Class PerformanceAttributeDescriptorImpl

    java.lang.Object
      com.sun.management.oss.impl.pm.measurement.PerformanceAttributeDescriptorImpl

All Implemented Interfaces:
  java.lang.Cloneable, PerformanceAttributeDescriptor, java.io.Serializable, SerializerFactory

public class PerformanceAttributeDescriptorImpl
extends java.lang.Object
implements PerformanceAttributeDescriptor

Title: JSR090 Reference Implementation Description: Copyright: Copyright (c) 2001 Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Katarina Wahlstr?m, Hooman Tahamtani
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.pm.measurement.PerformanceAttributeDescriptor
`BIGDECIMAL, BIGINTEGER, BOOLEAN, BYTE, CHARACTER, COMPOSITE_DATA, CUMULATIVE_COUNTER, DISCRETE_EVENT_REGISTRATION, DOUBLE, FLOAT, GAUGE, INTEGER, LONG, SHORT, STATUS_INSPECTION, STRING`

Constructor Summary
`PerformanceAttributeDescriptorImpl()`
`PerformanceAttributeDescriptorImpl(java.lang.String collectionMethod)`

Method Summary
`java.lang.Object` | `clone()` Deep copy of this instance.
`java.lang.String` | `getCollectionMethod()` Returns the collection method.
`java.lang.String` | `getName()` Returns the performance attribute name.
`java.lang.String[]` | `getSupportedSerializerTypes()` Return all the serializer types than can be created by this factory.
`int` | `getType()` Returns the type of attribute.
`boolean` | `isArray()` Checks if the attribute is an array.
`Serializer` | `makeSerializer(java.lang.String serializerType)` Manufacture a Serializer for the object type inheriting the interface.
`void` | `setCollectionMethod(java.lang.String collectionMethod)` Sets the collection method.
`void` | `setIsArray(boolean isArray)` Sets if the attribute is an array.
`void` | `setName(java.lang.String name)` Sets the performance attribute name.
`void` | `setType(int type)` Sets the type of attribute.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerformanceAttributeDescriptorImpl

    public PerformanceAttributeDescriptorImpl(java.lang.String collectionMethod)

### PerformanceAttributeDescriptorImpl

    public PerformanceAttributeDescriptorImpl()

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `PerformanceAttributeDescriptor`
  Deep copy of this instance.

  Specified by:
    `clone` in interface `PerformanceAttributeDescriptor`

### getCollectionMethod

    public java.lang.String getCollectionMethod()

  Description copied from interface: `PerformanceAttributeDescriptor`
  Returns the collection method.

  Specified by:
    `getCollectionMethod` in interface `PerformanceAttributeDescriptor`
  Returns:
    String Returns the collection method.
  See Also:
    `PerformanceAttributeDescriptor.setCollectionMethod(java.lang.String)`

### getName

    public java.lang.String getName()

  Description copied from interface: `PerformanceAttributeDescriptor`
  Returns the performance attribute name.

  Specified by:
    `getName` in interface `PerformanceAttributeDescriptor`
  Returns:
    String The name of the attribute.
  See Also:
    `PerformanceAttributeDescriptor.setName(java.lang.String)`

### getType

    public int getType()

  Description copied from interface: `PerformanceAttributeDescriptor`
  Returns the type of attribute.

  Specified by:
    `getType` in interface `PerformanceAttributeDescriptor`
  Returns:
    int Returns the id of type.
  See Also:
    `PerformanceAttributeDescriptor.setType(int)`

### isArray

    public boolean isArray()

  Description copied from interface: `PerformanceAttributeDescriptor`
  Checks if the attribute is an array.

  Specified by:
    `isArray` in interface `PerformanceAttributeDescriptor`
  Returns:
    boolean Returns true if the attribute is an array.
  See Also:
    `PerformanceAttributeDescriptor.setIsArray(boolean)`

### setName

    public void setName(java.lang.String name)
                 throws java.lang.IllegalArgumentException

  Description copied from interface: `PerformanceAttributeDescriptor`
  Sets the performance attribute name.

  Specified by:
    `setName` in interface `PerformanceAttributeDescriptor`
  Parameters:
    `name` - The name of the attribute.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `PerformanceAttributeDescriptor.getName()`

### setType

    public void setType(int type)
                 throws java.lang.IllegalArgumentException

  Description copied from interface: `PerformanceAttributeDescriptor`
  Sets the type of attribute.

  Valid values are:

  - `PerformanceAttributeDescriptor.BIGDECIMAL`
  - `PerformanceAttributeDescriptor.BIGINTEGER`
  - `PerformanceAttributeDescriptor.BOOLEAN`
  - `PerformanceAttributeDescriptor.BYTE`
  - `PerformanceAttributeDescriptor.CHARACTER`
  - `PerformanceAttributeDescriptor.DOUBLE`
  - `PerformanceAttributeDescriptor.FLOAT`
  - `PerformanceAttributeDescriptor.INTEGER`
  - `PerformanceAttributeDescriptor.LONG`
  - `PerformanceAttributeDescriptor.SHORT`
  - `PerformanceAttributeDescriptor.STRING`
  - `PerformanceAttributeDescriptor.COMPOSITE_DATA`

  Specified by:
    `setType` in interface `PerformanceAttributeDescriptor`
  Parameters:
    `type` - The id of type.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `PerformanceAttributeDescriptor.getType()`

### setCollectionMethod

    public void setCollectionMethod(java.lang.String collectionMethod)
                             throws java.lang.IllegalArgumentException

  Description copied from interface: `PerformanceAttributeDescriptor`
  Sets the collection method.

  Valid values are:

  - `PerformanceAttributeDescriptor.CUMULATIVE_COUNTER`
  - `PerformanceAttributeDescriptor.GAUGE`
  - `PerformanceAttributeDescriptor.DISCRETE_EVENT_REGISTRATION`
  - `PerformanceAttributeDescriptor.STATUS_INSPECTION`

  Specified by:
    `setCollectionMethod` in interface `PerformanceAttributeDescriptor`
  Parameters:
    `collectionMethod` - The id of collection method.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `PerformanceAttributeDescriptor.getCollectionMethod()`

### setIsArray

    public void setIsArray(boolean isArray)

  Description copied from interface: `PerformanceAttributeDescriptor`
  Sets if the attribute is an array.

  Specified by:
    `setIsArray` in interface `PerformanceAttributeDescriptor`
  Parameters:
    `isArray` - Is true if the attribute is an array..
  See Also:
    `PerformanceAttributeDescriptor.isArray()`

### getSupportedSerializerTypes

    public java.lang.String[] getSupportedSerializerTypes()

  Description copied from interface: `SerializerFactory`
  Return all the serializer types than can be created by this factory. This may return an empty array, in case no serializer is implemented.

  Specified by:
    `getSupportedSerializerTypes` in interface `SerializerFactory`
  Returns:
    an array of supported serializer types.

### makeSerializer

    public Serializer makeSerializer(java.lang.String serializerType)
                              throws java.lang.IllegalArgumentException

  Description copied from interface: `SerializerFactory`
  Manufacture a Serializer for the object type inheriting the interface.

  Specified by:
    `makeSerializer` in interface `SerializerFactory`
  Parameters:
    `serializerType` - the class name of the serializer interface that must be created. For example `XmlSerializer.getClass().getName()`
  Returns:
    a serializer matching the serializer type .
  Throws:
    `java.lang.IllegalArgumentException` - if no serializer can be created matching the provided Serializer Type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD